function move_drum_sticks()

  if table.getn(drum_sticksx) > 0 then
    for i = 1,table.getn(drum_sticksx) do
      drum_sticksy[i] = drum_sticksy[i] + 3

      if drum_sticksy[i] >= 255 then table.insert(drum_sticks_to_be_removed,i) end
    end
  end
  
  remove_drum_sticks()
end

function drop_drum_stick(chicken_number)
  table.insert(drum_sticksx,chickenx[chicken_number] + 20)
  table.insert(drum_sticksy,chickeny[chicken_number] + 40)
end

function remove_drum_sticks()
  drum_sticks_to_be_removed = sort(drum_sticks_to_be_removed)
  if table.getn(drum_sticks_to_be_removed) > 0 then
    for i = 1,table.getn(drum_sticks_to_be_removed) do
      table.remove(drum_sticksx,drum_sticks_to_be_removed[i]) 
      table.remove(drum_sticksy,drum_sticks_to_be_removed[i]) 
    end
  end
  drum_sticks_to_be_removed = {}
end
